Name:           python-edc-prn
Version:        1.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        classes and utils for PRN forms in the clinicedc/edc projects

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/clinicedc/edc-prn
Source:         %{pypi_source edc_prn}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'edc-prn' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-edc-prn
Summary:        %{summary}

%description -n python3-edc-prn %_description


%prep
%autosetup -p1 -n edc_prn-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-edc-prn -f %{pyproject_files}


%changelog
%autochangelog